Summary:	GConfmm library
Name:		GConfmm
Version:	2.9.2
Release:	1
Group:		Libraries
Provides:	gconfmm
Copyright:	LGPL
Source0:        gconfmm-%{version}.tar.bz2
URL:		http://ftp.gnome.org/pub/GNOME/sources/
BuildRoot:	%{_tmppath}/%{name}-root

%description
GConfmm

%package 	devel
Summary: 	GConfmm library development
Group: 		Development
Provides:	gconfmm-devel

%description 	devel
GConfmm

%prep
%setup -q -n gconfmm-%{version}

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}
#{_libdir}/*.a
%{_libdir}/gconfmm*
%{_libdir}/pkgconfig
